/**
 * @function setupMysql
 */

"use strict";

const execcli = require('execcli'),
    assert = require('assert');

/** @lends setupMysql */
function setupMysql(env, callback) {
    let sql = _sql(
        env.DATABASE || env.SCHEMA,
        env.HOST || 'localhost',
        env.USERNAME,
        env.PASSWORD
    );
    console.log(process.env);
    const ROOT_USERNAME = env.ROOT_USERNAME || process.env.ROOT_USERNAME || 'root',
        ROOT_PASSWORD = env.ROOT_PASSWORD || process.env.ROOT_PASSWORD || '';

    let cmdBin = 'mysql',
        cmdArgs = _args(ROOT_USERNAME, ROOT_PASSWORD, sql);
    execcli(cmdBin, cmdArgs, {}, callback);

}

function _sql(database, host, username, password) {
    return `CREATE DATABASE IF NOT EXISTS \`${database}\`; GRANT ALL ON \`${database}\`.* TO \`${username}\`@\`${host}\` IDENTIFIED BY "${password}"`;
}

function _args(username, password, sql) {
    let args = [
        '-u', username
    ];
    if (password) {
        args = args.concat('-p' + password);
    }
    args = args.concat({'e': sql});
    return args;
}

module.exports = setupMysql;
