/**
 * @function setupSqlite
 */

"use strict";

const mkdirp = require('mkdirp'),
    path = require('path'),
    async = require('async'),
    assert = require('assert');

/** @lends setupSqlite */
function setupSqlite(env, callback) {
    let storage = env.STORAGE;
    assert.ok(storage, "env.STORAGE is required for sqlite.");
    async.series([
        (callback) => {
            mkdirp(path.dirname(storage), callback);
        }
    ], callback);
}

module.exports = setupSqlite;
